Make and generate_code.sh generate same outputs (#6855)

* added --bfbs-builtins

* update generate_code.bat

* forgot the .

* updated checking scripts

* added bypass for the monster_test.bfbs and arrays_test.bfbs diff issue

* removed check on windows for now
This commit is contained in:
Derek Bailey
2021-09-24 14:01:34 -05:00
committed by GitHub
parent 9d686bf433
commit e2b26ee19b
7 changed files with 673 additions and 652 deletions

View File

@@ -15,6 +15,17 @@
# limitations under the License.
set -e
if ! git diff --quiet; then
echo >&2
echo "ERROR: ********************************************************" >&2
echo "ERROR: The following differences were found after building." >&2
echo "ERROR: Perhaps there is a difference in the flags for the" >&2
echo "ERROR: CMakeLists.txt vs the tests/generate_code.sh script?" >&2
echo "ERROR: ********************************************************" >&2
echo >&2
git diff --binary --exit-code
fi
cd tests
./generate_code.sh
cd ..